Bug 240168 - RHN repodata contains release "0" for every versioned Requires
RHN repodata contains release "0" for every versioned Requires
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Clifford Perry
Preethi Thomas
Depends On:
Blocks: 248627
  Show dependency treegraph
Reported: 2007-05-15 12:04 EDT by Phil Knirsch
Modified: 2015-03-04 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-02 20:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2007-05-15 12:04:01 EDT
Description of problem:

While studying the primary.xml of RHEL 5 RHN repositories i stumbled across a
wrong entry in the file for specific cases:

If a package had a

  Requires: foo-1.2.3

the entry in the primary.xml would look like this:

 <rpm:entry name="foo" flags="EQ" epoch="0" ver="1.2.3" rel="0" />

instead of 

 <rpm:entry name="foo" flags="EQ" epoch="0" ver="1.2.3" />

FC6 and FC7 repositories don't contain the rel="0" entries for such cases. I've
verified this for a few cases, the first one i found was guile-devel requiring

Version-Release number of selected component (if applicable):

RHEL 5 Client installation.


How reproducible:


Steps to Reproduce:
1. Install a RHEL 5
2. Run yum update to generate the local caches
3. Look for guile-devel in primary.xml and compare it to a FC6 primary.xml
4. Check the real package require of guile-devel
Actual results:

primary.xml contains requirements that contain additional wrong information.

Expected results:

primary.xml should contain the actual information as stored in the binary rpm.

Additional info:

This is luckly currently not an issue for RHEL 5, but in case yum ever gets
updated to 3.1.x or newer this will break as yum then uses the information from
the repodata (primary.xml) instead of binary headers as in yum-3.0.x and
earlier. Also for RHEL 6 we will be including a newer yum, so there it
definitely will break otherwise.

Suggested fix is to use a normal createrepo which doesn't show this artefact in
primary.xml (recreated the primary.xml myself and it didn't contain the rel="0"

Read ya, Phil
Comment 1 Brandon Perkins 2007-07-23 10:40:12 EDT
Created a Hosted clone of this bug -- Bugzilla Bug 249279: RHN repodata contains
release "0" for every versioned Requires
Comment 3 James Slagle 2007-09-13 12:10:51 EDT
To test:

use yum update to get a copy of primary.xml in /var/cache/yum/(repo_label)/
make sure that the xml is well-formed, and that there are some rpm:entries with
no  rel filled in, but versions, and that the release if present when it should be.
Comment 4 Preethi Thomas 2007-09-27 15:56:30 EDT
verified using rhn-satellite-5.1.0-8-redhat-linux-as-i386-4-embedded-oracle.iso.
RHEL5 client used is rlx-3-08
primary.xml has rpm: enteries with no rel filled in.
Comment 5 Red Hat Bugzilla 2007-10-25 20:52:10 EDT
User jslagle@redhat.com's account has been closed
Comment 6 Mike McCune 2008-03-25 20:08:38 EDT
verified in stage.  release_pending.
Comment 7 Brandon Perkins 2008-04-02 20:17:09 EDT
5.1 Sat GA so Closed for Current Release.
Comment 8 Brandon Perkins 2008-05-03 09:02:24 EDT
Removing Bug 240168 blocks bug 444878.

Note You need to log in before you can comment on or make changes to this bug.